#!/usr/bin/env bash

echo 'building all components'

cd ..

#building library first
cd library/build
cmake .. -DCMAKE_BUILD_TYPE=Release
make library
cd ../..

cd demo/build
cmake .. -DCMAKE_BUILD_TYPE=Release
make Demo
cd ../..

cd gui/build
cmake .. -DCMAKE_BUILD_TYPE=Release
make GUI
cd ../..

cd shared-memory/build
cmake .. -DCMAKE_BUILD_TYPE=Release
make SharedMemory
cd ../..

cd simple-draw/build
cmake .. -DCMAKE_BUILD_TYPE=Release
make SimpleDraw
cd ../..

cd terminal/build
cmake .. -DCMAKE_BUILD_TYPE=Release
make Terminal
cd ../..

cd text-renderer/build
cmake .. -DCMAKE_BUILD_TYPE=Release
make TextRenderer
cd ../..



